FrodoPublicKeyParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.frodo

## Class FrodoPublicKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.pqc.crypto.frodo.FrodoKeyParameters
    - - org.bouncycastle.pqc.crypto.frodo.FrodoPublicKeyParameters

- All Implemented Interfaces:
    CipherParameters

  Deprecated.
  the standardised FrodoKEM (ISO/IEC 18033-2:2006/Amd 2:2026) is now provided under org.bouncycastle.crypto and org.bouncycastle.jcajce (see FrodoKEMParameters / FrodoKEMParameterSpec). This is the legacy NIST round 3 (unsalted, eFrodoKEM) implementation, retained for backwards compatibility.

      @Deprecated
      public class FrodoPublicKeyParameters
      extends FrodoKeyParameters

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte[]` | `publicKey` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrodoPublicKeyParameters(FrodoParameters params, byte[] publicKey)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getEncoded()` Deprecated.
    `byte[]` | `getPublicKey()` Deprecated.

    - ### Methods inherited from class org.bouncycastle.pqc.crypto.frodo.FrodoKeyParameters

      `getParameters`

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### publicKey

          public byte[] publicKey

      Deprecated.

  - ### Constructor Detail

    - #### FrodoPublicKeyParameters

          public FrodoPublicKeyParameters(FrodoParameters params,
                                          byte[] publicKey)

      Deprecated.

  - ### Method Detail

    - #### getPublicKey

          public byte[] getPublicKey()

      Deprecated.

    - #### getEncoded

          public byte[] getEncoded()

      Deprecated.